Skip to content

GET Source Summary.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/source-summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/source-summary \
--header 'Authorization: <Authorization>'

Returns the healthy and critical status count, latency, and coordinates for each source region.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

monitor_type
string

Monitor_type. X-required Monitor type.

label_filter
string

Label_filter. Optional filter on labels.

monitor_name
string

Monitor_name. Monitor name.

A successful response.

Media typeapplication/json
GetSourceSummaryResponse

Healthy and critical counts by monintor source region.

object
monitor_by_source
monitor_by_source

{ “source”: “us-east-1”, “healthy_count”: “35”, “critical_count”: “2” }, { “source”: “VES-I/O-paris”, “healthy_count”: “100”, “critical_count”: “0” }, {…} ] A list of the monitor source summaries.

Array<object>
object
coordinates
object
latitude
latitude

Region latitude.

number format: double
longitude
longitude

Region longitude Required: YES.

number format: double
critical_count
critical_count

Count of critical monitors in region.

integer format: int32
curr_latency
curr_latency

Current latency of monitor in this region, unit is ms.

string
<= 1024 characters
healthy_count
healthy_count

Count of healthy monitors in region.

integer format: int32
provider
provider

Region provider.

string
>= 3 characters <= 1024 characters
region
region

Region name.

string
<= 1024 characters
Examplegenerated
{
"monitor_by_source": [
{
"coordinates": {
"latitude": 1,
"longitude": 1
},
"critical_count": 1,
"curr_latency": "example",
"healthy_count": 1,
"provider": "example",
"region": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example